﻿using System.ComponentModel;

namespace Device;

public class DeviceInfo
{
    public DeviceModel DeviceModel { get; set; }
    public object? DeviceSubModel { get; set; }
    public string? DeviceName { get; set; }
    public string? Position { get; set; }

    public Guid Guid { get; set; }
}

public enum DeviceModel
{
    JetKepler,
    Proxima
}

public enum KeplerSubModel
{
    [Description("2200A")]
    JetKepler_2200A,
    [Description("2200B")]
    JetKepler_2200B,
    [Description("2300")]
    JetKepler_2300,
    [Description("DSE")]
    JetKepler_DSE
}

public enum ProximaSubModel
{
    NTP,
    SiBN,
    NTP_HRP,
    ELK
}