﻿using Device;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DeviceManagement.Controls
{
    /// <summary>
    /// Interaction logic for DevicePlot.xaml
    /// </summary>
    public partial class DevicePlot : UserControl
    {
        public DevicePlot()
        {
            InitializeComponent();
        }



        public DeviceInfo DeviceInfo
        {
            get { return (DeviceInfo)GetValue(DeviceInfoProperty); }
            set { SetValue(DeviceInfoProperty, value); }
        }

        // Using a DependencyProperty as the backing store for DeviceInfo.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty DeviceInfoProperty =
            DependencyProperty.Register("DeviceInfo", typeof(DeviceInfo), typeof(DevicePlot), new PropertyMetadata(default));



        public ICommand SettingCommand
        {
            get { return (ICommand)GetValue(SettingCommandProperty); }
            set { SetValue(SettingCommandProperty, value); }
        }

        // Using a DependencyProperty as the backing store for SettingCommand.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty SettingCommandProperty =
            DependencyProperty.Register("SettingCommand", typeof(ICommand), typeof(DevicePlot), new PropertyMetadata(default));




        public ICommand DetailCommand
        {
            get { return (ICommand)GetValue(DetailCommandProperty); }
            set { SetValue(DetailCommandProperty, value); }
        }

        // Using a DependencyProperty as the backing store for DetailCommand.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty DetailCommandProperty =
            DependencyProperty.Register("DetailCommand", typeof(ICommand), typeof(DevicePlot), new PropertyMetadata(default));


    }


}
